"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeploymentTimer = void 0;
const logger_1 = require("../../logger");
const track = require("../../track");
class DeploymentTimer {
    constructor() {
        this.timings = {};
    }
    startTimer(name, type) {
        this.timings[name] = { type: type, t0: process.hrtime() };
    }
    endTimer(name) {
        if (!this.timings[name]) {
            logger_1.logger.debug("[functions] no timer initialized for", name);
            return;
        }
        const duration = process.hrtime(this.timings[name].t0);
        track("Functions Deploy (Duration)", this.timings[name].type, duration[0] * 1000 + Math.round(duration[1] * 1e-6));
    }
}
exports.DeploymentTimer = DeploymentTimer;
